#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
NAME=$1
DBOPT=$2
if [[ -z "${NAME}" ]]; then
   >&2 echo DSA name required
   exit 1
fi
if [[ -z "$DBOPT" ]] ; then
   DBOPT=
elif [[ "$DBOPT" = "delete_db" ]] ; then
   DBOPT="${DBOPT}=true"
elif [[ "$DBOPT" = "delete_db_all" ]] ; then
   DBOPT="${DBOPT}=true"
else
   >&2 echo option "$DBOPT" not supported
   exit 2
fi
bash "${MYPATH}/coreZ01/delete.sh" "$NAME" "$DBOPT"
