#!/bin/bash
MYPATH=$(cd $(dirname "$0"); pwd)
cd ../..
DXC=d$$.dxc
bash "$MYPATH"/../list.sh
bash "$MYPATH"/../showdata.sh "default.dxg" > "$DXC"
bash "$MYPATH"/../dxccreate.sh "$DXC" "$DXC"
EXIST=$(bash "$MYPATH"/../exist.sh "$DXC"); STATUS=$?
if [[ "$STATUS" -eq 0 ]] ; then
    >&2 echo $DXC created successfully
else
    >&2 echo $DXC creation failed
fi
bash "$MYPATH"/../list.sh
echo "# Append to the End" >> "$DXC"
bash "$MYPATH"/../dxcupdate.sh "$DXC" "$DXC"
bash "$MYPATH"/../showdata.sh "$DXC"
export OPT=-i
bash "$MYPATH"/../delete.sh "$DXC"
export OPT=
bash "$MYPATH"/../list.sh
